
double quadratic (const int dim, int *x, double **a);
double quadratic2(const int dim, int *x, double **a, double *b);
double quadratic3(const int dim, int *x, double **a, double *b, double c);

int lgconv_validate_hesse(const int dim, double **a);
int  lconv_validate_hesse(const int dim, double **a);
int mgconv_validate_hesse(const int dim, double **a);
int  mconv_validate_hesse(const int dim, double **a);

void make_hesse_lg(const int dim, double f(int,int*), int *x, double **a);
void make_hesse_mg(const int dim, double f(int,int*), int *x, double **a);
void make_hesse_m(const int dim, double f(int,int*), int *x, double **a);
void make_liner_const(const int dim, double f(int,int*), int *x,
		      double **a, double *b, double *c);
